### Function

# GLib unichar_iswide_cjk

since: 2.12

#### Declaration

    gboolean
    g_unichar_iswide_cjk (
      gunichar c
    )

#### Description

Determines if a character is typically rendered in a double-width cell under legacy East Asian locales. If a character is wide according to g_unichar_iswide(), then it is also reported wide with this function, but the converse is not necessarily true. See the Unicode Standard Annex #11 for details.

If a character passes the `g_unichar_iswide()` test then it will also pass this test, but not the other way around. Note that some characters may pass both this test and g_unichar_iszerowidth().

Available since: 2.12

#### Parameters

`c`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `gboolean`

`TRUE` if the character is wide in legacy East Asian locales.